com.smartgwt.client.types

## Enum FormErrorOrientation

- java.lang.Object
- - java.lang.Enum<FormErrorOrientation>
  - - com.smartgwt.client.types.FormErrorOrientation

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<FormErrorOrientation>

      public enum FormErrorOrientation
      extends java.lang.Enum<FormErrorOrientation>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM`
    `LEFT`
    `RIGHT`
    `TOP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static FormErrorOrientation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FormErrorOrientation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP

          public static final FormErrorOrientation TOP

    - #### BOTTOM

          public static final FormErrorOrientation BOTTOM

    - #### LEFT

          public static final FormErrorOrientation LEFT

    - #### RIGHT

          public static final FormErrorOrientation RIGHT

  - ### Method Detail

    - #### values

          public static FormErrorOrientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FormErrorOrientation c : FormErrorOrientation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FormErrorOrientation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`